﻿<%@ Page Title="Home Page" Language="C#" MasterPageFile="~/Site.Master" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="ADWebMonitor._Default" %>

<asp:Content runat="server" ID="FeaturedContent" ContentPlaceHolderID="FeaturedContent">
    <section class="featured">
        <div class="content-wrapper">
            <hgroup class="title">
                <h1>Active Directory Authenticated Web App Availability Monitor</h1><br />
                <h2>designed to work with System Center 2012 SP1 </h2>
            </hgroup>
            <p> Microsoft System Center 2012 Web Application Availability monitoring offers great monitoring of internet facing applications but is unable to authenticate against active directory applications.  This simple solution extends that capability to AD protected web applications.                
            </p>
        </div>
    </section>
</asp:Content>
<asp:Content runat="server" ID="BodyContent" ContentPlaceHolderID="MainContent">
    <ol class="round">
            <h3>Example Usage</h3>
            <b><a href="http://<%=Request.ServerVariables["Server_Name"] %>:<%=Request.ServerVariables["Server_Port"] %>/Validate?url=http://www.bing.com&content=feedback" target="_blank">http://<%=Request.ServerVariables["Server_Name"] %>:<%=Request.ServerVariables["Server_Port"] %>/Validate?url=http://www.bing.com&content=feedback</a></b>
            <h3>The "Validate" action takes two paramers.</h3>
            <li class="one"    >
            <h3><b>url:</b> The page you'd like to monitor</h3><br /></li>
            <li class="two"    >
            <h3><b>content: </b>Some text you expect to be embedded in the HTML of that page</h3><br /></li>
            
            <br />
            <h5>If the required content is not found a 404 will be returned</h5>
            <h5>If the server is offline or returns an exception that exception will be rethrown</h5>

    </ol>
</asp:Content>
